<?php

/*
Plugin Name: FuZo DSGVO
Description: Diverse Kleinigkeiten zur DSGVO
Version: 1.00
Author: Mirjam Schrepler
Author URI: https://www.fuzo-marketing.de
Text Domain: fuzo-dsgvo
License:     GPL-2.0+
License URI: http://www.gnu.org/licenses/gpl-2.0.txt
*/
 
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

//Aktive PLugins im Dahsboard anzeigen

add_action('wp_dashboard_setup', 'wpse_54742_wp_dashboard_setup');

function wpse_54742_wp_dashboard_setup() {
    wp_add_dashboard_widget( 'wpse_54742_active_site_plugins', __( 'Aktive Plugins' ), 'wpse_54742_active_site_plugins' );
}

function wpse_54742_active_site_plugins() {
    $the_plugs = get_option('active_plugins'); 
    echo '<ul>';
    foreach($the_plugs as $key => $value) {
        $string = explode('/',$value); // Folder name will be displayed
        echo '<li>'.$string[0] .'</li>';
    }
    echo '</ul>';
}
 
 // Gravatar entfernen

add_action( 'init', 'qmas_remove_avatars' ); if (!function_exists('qmas_remove_avatars')) { function qmas_remove_avatars() { add_filter( 'bp_core_fetch_avatar', function () { return ''; } ); add_filter( 'get_avatar', function () { return ''; } ); add_filter( 'bp_get_signup_avatar', function () { return ''; } ); } } 


// Emojis entfernen
remove_action('wp_head', 'print_emoji_detection_script', 7);
remove_action('wp_print_styles', 'print_emoji_styles');

remove_action( 'admin_print_scripts', 'print_emoji_detection_script' );
remove_action( 'admin_print_styles', 'print_emoji_styles' );



//Youtube 2 Klick lsung + related Videos ausblenden

function fuzohiderelvideo( $html, $url, $args ) {
		
		return str_replace( '?feature=oembed', '?feature=oembed&modestbranding=1&showinfo=0&rel=0', $html );

		
}
add_filter( 'oembed_result', 'fuzohiderelvideo', 10, 3 );

function fuzotwocklick( $html, $url, $args ) {
		return str_replace( 'www.youtube.com/embed', 'www.youtube-nocookie.com/embed', $html );	

}
add_filter( 'oembed_result', 'fuzotwocklick', 10, 3 );



/*DNS Prefetch entfernen

remove_action( 'wp_head', 'wp_resource_hints', 2 );*/


//Datenschutzseite und Impressum auf "noindex" setzen


$url = $_SERVER["REQUEST_URI"];
	$isItBlog = strpos($url, 'datenschutz');
	$isItNews = strpos($url, 'impressum');
	
	if (($isItBlog!==false) || ($isItNews!==false)) {

add_action( 'wp_head', 'fuzodatimp', 2 ); 

function fuzodatimp(){
 echo '<meta name="robots" content="noindex,follow"/>';
}

}

//Checkbox fr Kommentre einbauen
add_filter( 'comment_form_field_comment', 'my_comment_form_field_comment' );
function my_comment_form_field_comment( $comment_field ) {
    return $comment_field.'<input type="checkbox" name="privacy" value="privacy-key" class="privacyBox" aria-req="true" style="float:left; width:auto;">Hiermit akzeptiere ich die Datenschutzbedingungen <small>(Nachzulesen auf der Seite Datenschutz)</small>';
}
//javascript validation
add_action('wp_footer','valdate_privacy_comment_javascript');
function valdate_privacy_comment_javascript(){
    if (is_single() && comments_open()){
        wp_enqueue_script('jquery');
        ?>
        <script type="text/javascript">
        jQuery(document).ready(function($){
            $("#submit").click(function(e){
                if (!$('.privacyBox').prop('checked')){
                    e.preventDefault();
                    alert('Bitte Datenschutz akzeptieren');
                    return false;
                }
            })
        });
        </script>
        <?php
    }
}

//no js fallback validation
add_filter( 'preprocess_comment', 'verify_comment_privacy' );
function verify_comment_privacy( $commentdata ) {
    if ( ! isset( $_POST['privacy'] ) )
        wp_die( __( 'Error: You must agree to our privacy term by checking the box ....' ) );

    return $commentdata;
}

//save field as comment meta
add_action( 'comment_post', 'save_comment_privacy' );
function save_comment_privacy( $comment_id ) {
    add_comment_meta( $comment_id, 'privacy', $_POST[ 'privacy' ] );
}

// IPs in Kommentaren unterdrcken

function fuzowploop_remove_ip_comments( $comment_author_ip ) {
return '';
}
add_filter( 'pre_comment_user_ip', 'fuzowploop_remove_ip_comments' );

//PLugin Update

//custom updates/upgrades
$this_file = __FILE__;
$update_check = "https://www.fuzo-marketing.de/plugins/fuzo-dsgvo.chk";
require_once('gill-updates.php');

 
 ?>